## odt2txt 0.4+git20100620

=== Makefile ===
--- 
+++ 
@@ -10,10 +10,21 @@
 CFLAGS = -O2
 endif
 
-KUNZIP_OBJS = kunzip/fileio.o kunzip/zipfile.o
-OBJ = odt2txt.o regex.o mem.o strbuf.o $(KUNZIP_OBJS)
+ifdef NO_ICONV
+CFLAGS += -DNO_ICONV
+endif
+
+LIBS = -lz
+ZIP_OBJS =
+ifdef HAVE_LIBZIP
+	CFLAGS += -DHAVE_LIBZIP
+	LIBS += -lzip
+else
+	ZIP_OBJS = kunzip/fileio.o kunzip/zipfile.o
+endif
+
+OBJ = odt2txt.o regex.o mem.o strbuf.o $(ZIP_OBJS)
 TEST_OBJ = t/test-strbuf.o t/test-regex.o
-LIBS = -lz
 ALL_OBJ = $(OBJ) $(TEST_OBJ)
 
 INSTALL = install
@@ -35,6 +46,11 @@
 	LDFLAGS += -L/usr/local/lib
 	LIBS += -liconv
 endif
+ifeq ($(UNAME_S),Darwin)
+       CFLAGS += -I/opt/local/include
+       LDFLAGS += -L/opt/local/lib
+       LIBS += -liconv
+endif
 ifeq ($(UNAME_S),NetBSD)
 	CFLAGS += -DICONV_CHAR="const char"
 endif
@@ -47,6 +63,10 @@
 		endif
 	endif
 	CFLAGS += -DICONV_CHAR="const char"
+endif
+ifeq ($(UNAME_S),HP-UX)
+	CFLAGS += -I$(ZLIB_DIR)
+	LIBS = $(ZLIB_DIR)/libz.a
 endif
 ifeq ($(UNAME_O),Cygwin)
 	CFLAGS += -DICONV_CHAR="const char"
