=== debian/changelog ===
odt2txt (0.4+git20100620-1build1) precise; urgency=low

  * No change rebuild for libzip transition

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Mar 2012 22:58:01 -0400

odt2txt (0.4+git20100620-1) unstable; urgency=low

  * New upstream git snapshot (53b4871):
    - Use system libzip instead of embedded kunzip (Closes: #523808).
  * Fix "set -e" in prerm and postinst;
  * Convert package to the new format 3.0 (quilt);
  * Updated Standards-Version to 3.8.4 (no changes needed).

 -- Nelson A. de Oliveira <naoliv@debian.org>  Sun, 20 Jun 2010 22:33:47 -0300

odt2txt (0.4-1) unstable; urgency=low

  * New upstream release;
  * Removed patches/fix-manpage.diff and patches/ignore-mime.diff (both
    applied upstream);
  * Changed sxw2txt from alternatives system to a symbolic link only;
  * Created new links: ods2txt and odp2txt;
  * Drop "Provides: sxw2txt" from debian/control.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Mon, 23 Jun 2008 19:22:26 -0300

odt2txt (0.3-3) unstable; urgency=low

  * Added patches/fix-manpage.diff, removing "--force" option from manpage
    (Closes: #472072);
  * Added patches/ignore-mime.diff, removing mimetype check. odt2txt is now
    able to extract text from OpenOffice.org XML files (.sxw) too:
    - Added a "Provides: sxw2txt" in debian/control;
    - Updated debian/{postinst,prerm} to include a sxw2txt alternative,
      pointing to odt2txt;
    - Updated debian/mime for the "new" sxw2txt.
  * Bump Standards-Version to 3.8.0 (no changes needed).

 -- Nelson A. de Oliveira <naoliv@debian.org>  Fri, 20 Jun 2008 02:54:31 -0300

odt2txt (0.3-2) unstable; urgency=low

  * Using alternatives system to avoid conflict with unoconv. Thanks to
    Vincent Bernat;
  * Moved odt2txt homepage from the package description to the new Homepage
    field.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Sat, 17 Nov 2007 15:19:44 -0200

odt2txt (0.3-1) unstable; urgency=low

  * New upstream release.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Fri, 01 Jun 2007 08:47:29 -0300

odt2txt (0.2+git20070106-2) unstable; urgency=low

  * Added mime support and a tip in README.Debian. A big thank you to Charles
    Plessy!
  * Added tags on debian/control.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Fri, 12 Jan 2007 23:37:01 -0200

odt2txt (0.2+git20070106-1) unstable; urgency=low

  * Initial release (Closes: #406495).

 -- Nelson A. de Oliveira <naoliv@debian.org>  Thu, 11 Jan 2007 03:01:32 -0200
