=== debian/watch ===
version=3
http://stosberg.net/odt2txt/ odt2txt-(.*)\.tar\.gz
