## odt2txt 0.4+git20140608

=== debian/changelog ===
odt2txt (0.4+git20140608-1) unstable; urgency=medium

  * Team upload.

  9848209 Merge upstream master branch (97b8999).
  c969e2d Upstream sources now hosted on GitHub.
  94bcdaa Use Debhelper 9.
  cbe9ff6 Machine-readable Debian copyright file.
  ef31154 Collaborative maintenance of the source package on Alioth.
  be4c71f Normalised debian/control with config-model-edit.
  eaf8c84 Corrected mailcap file.
          Thanks to Sven Joachim <svenjoac@gmx.de> (Closes: #747343)
  b6eb0b4 Delete obsolete dpkg-source options file as bzip compression
          only saved 1 Kb.
  730dcd4 Conforms to Policy 3.9.6.

 -- Charles Plessy <plessy@debian.org>  Sat, 04 Oct 2014 17:21:42 +0900

odt2txt (0.4+git20100620-1.1) unstable; urgency=medium

  * Non-maintainer upload using patch from Hideki Yamane to fix
    RC bug.
  * debian/control
    - Add "Build-Depends: pkg-config"
  * debian/rules
    - Add pkg-config to fix FTBFS "zip.h:53:21: fatal error: zipconf.h: No such
      file or directory" with libzip-dev changes (Closes: #741752)

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 15 Apr 2014 21:11:48 +0200
