## odt2txt 0.5

=== debian/changelog ===
odt2txt (0.5-7) unstable; urgency=medium

  * debian/upstream/metadata: fix Repository-Browse field.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Wed, 22 Jul 2020 17:26:05 -0300

odt2txt (0.5-6) unstable; urgency=medium

  * New maintainer. (Closes: #863324)
  * debian/gbp.conf: removed because it is not useful for me.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Thu, 11 Jun 2020 20:21:20 -0300

odt2txt (0.5-5) unstable; urgency=medium

  * QA upload.

  [ Luis Paulo Linares ]
  * debian/control: changed Vcs-* URLs to salsa.debian.org.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

  [ Joao Eriberto Mota Filho ]
  * debian/copyright: added rights for myself.
  * debian/gbp.conf: changed debian-branch to debian/master.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Thu, 04 Jun 2020 20:29:33 -0300

odt2txt (0.5-4) unstable; urgency=medium

  * QA upload.
  * debian/copyright:
      - Added rights for Michael Kohn, Peter Reinholdtsen and Charles Plessy.
      - Added Upstream-Name field in header.
      - Replaced GPL-2 text license to use Debian default text.
      - Replaced 'http' to 'https' for secure format in URI in header.
      - Updated Source field in header.
  * debian/patches/010_add-GCC-hardening.patch: created to add GCC hardening.
  * debian/rules: added DEB_BUILD_MAINT_OPTIONS variable to provide full
    GCC hardening.
  * debian/test/control: added Depends field and redone the CI tests.
    (Closes: #961933)
  * debian/upstream/metadata: created.
  * debian/watch: bumped to version 4.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Mon, 01 Jun 2020 19:24:33 -0300

odt2txt (0.5-3) unstable; urgency=medium

  * QA upload.
  * Run wrap-and-sort.
  * debian/control: added 'Rules-Requires-Root: on' to source stanza.
  * debian/mime: removed single quotes around %s because is unsafe for mailcap.
  * debian/source/include-binaries: added to control debian/tests/file.odt.
  * debian/test/control: created to perform CI tests.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Thu, 21 May 2020 13:09:43 -0300

odt2txt (0.5-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #863324)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Removed cdbs in Build-Depends field.
  * debian/rules: updated to new format.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Tue, 12 May 2020 12:33:50 -0300

odt2txt (0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (closes: #780478).

 -- Charles Plessy <plessy@debian.org>  Sun, 31 May 2015 09:52:44 +0900
