=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: odt2txt
+Maintainer: Luis Paulo Linares <lpfllinares@gmail.com>
 Section: text
 Priority: optional
-Maintainer: Nelson A. de Oliveira <naoliv@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), zlib1g-dev, libzip-dev
-Standards-Version: 3.8.4
-Homepage: http://stosberg.net/odt2txt/
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13), libzip-dev, pkg-config, zlib1g-dev
+Standards-Version: 4.5.0
+Homepage: https://github.com/dstosberg/odt2txt/
+Vcs-Browser: https://salsa.debian.org/debian/odt2txt
+Vcs-Git: https://salsa.debian.org/debian/odt2txt.git
 
 Package: odt2txt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: simple converter from OpenDocument Text to plain text
  odt2txt is a command-line tool which extracts the text out of OpenDocument
  Texts, as produced by OpenOffice.org, KOffice, StarOffice and others.
