=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/odt2txt/usr
	mv debian/odt2txt/usr/bin/odt2txt \
	   debian/odt2txt/usr/bin/odt2txt.odt2txt
	mv debian/odt2txt/usr/share/man/man1/odt2txt.1 \
	debian/odt2txt/usr/share/man/man1/odt2txt.odt2txt.1
